List verifications
curl --request GET \
--url https://api.check.et/api/v1/verifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.check.et/api/v1/verifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.check.et/api/v1/verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verifications": [
{
"id": 9812,
"bank": "cbe",
"bank_name": "Commercial Bank of Ethiopia",
"transaction_number": "FT26144SG2ST",
"account_number": "1000876543218",
"success": true,
"exists": true,
"status": "completed",
"transaction_type": "transfer",
"amount": 1350,
"currency": "ETB",
"payer_name": "Hayat Ahmed",
"transaction_date": "2023-11-07T05:31:56Z",
"created_at": "2025-06-10T14:32:11+03:00",
"source": {
"type": "api",
"label": "API: production"
}
}
]
}Verifications
List Verifications
Retrieve your verification history with filters
GET
/
verifications
List verifications
Authorizations
API key from your dashboard - starts with chk_. Requires a business account.
Query Parameters
Max records (default: 100, max: 500)
Required range:
x <= 500Example:
20
Time window to filter by
Available options:
7d, 15d, 30d, 3m, 6m, 12m Example:
"30d"
Filter by outcome: true = confirmed, false = failed
Response
200 - application/json
List of verifications
Show child attributes
Show child attributes
⌘I

